Overview | Modules | Class Hierarchy | Classes | Members

# tlp::IntegerAlgorithm Class Reference
[Plugins]

`#include <IntegerAlgorithm.h>`

Inherits tlp::PropertyAlgorithm.

Inheritance diagram for tlp::IntegerAlgorithm:

[legend]
Collaboration diagram for tlp::IntegerAlgorithm:

[legend]
List of all members.

## Detailed Description

Interface for int plug-ins.

## Public Member Functions

- virtual ~IntegerAlgorithm ()

## Public Attributes

- IntegerProperty * integerResult

## Protected Member Functions

- IntegerAlgorithm (const PropertyContext &context)

## Friends

- class IntegerProperty

## Constructor & Destructor Documentation

virtual tlp::IntegerAlgorithm::~IntegerAlgorithm | ( |  | ) | `[inline, virtual]`

tlp::IntegerAlgorithm::IntegerAlgorithm | ( | const PropertyContext & | context | ) | `[protected]`

## Friends And Related Function Documentation

friend class IntegerProperty `[friend]`

## Member Data Documentation

IntegerProperty* tlp::IntegerAlgorithm::integerResult

| This int obj is the one associated to the algorithm, The data should be store in it

Tulip Software by LaBRI Visualization Team 2001 - 2010